<mat-card *ngIf="rules">
  <mat-card-title translate>gameRoom.makeRoll</mat-card-title>
  <mat-card-subtitle *ngIf="!isForActualPlayer && !isGameMaster" translate>gameRoom.makeRoll.disabled.wrongPlayer
  </mat-card-subtitle>

  <mat-card-content>

    <mat-list>
      <mat-list-item>
        <span class="label" translate>gameRoom.dices</span>
        <span class="value">

          <span *ngFor="let dice of dicesForm.controls">
            <button type="button" [disabled]="!isForActualPlayer && !isGameMaster" class="dice"
              (click)="toggleDice(dice)" [ngClass]="{'dice--selected': dice.value.active}">{{dice.value.dice}}</button>

            <dr-add-count [ngClass]="{'hidden': !dice.value.active}" [countForm]="dice.controls.count"></dr-add-count>
          </span>

        </span>
      </mat-list-item>
      <mat-divider></mat-divider>
    </mat-list>

  </mat-card-content>

  <mat-card-actions>
    <button [disabled]="isRollDisabled" type="button" (click)="makeRoll()" mat-raised-button color="primary">
      <span translate>gameRoom.makeRoll.roll</span>
    </button>

    <mat-slide-toggle class="keepSelected" *ngIf="keepSelected" color="primary" labelPosition="after" [formControl]="keepSelected">
      <span translate>gameRoom.makeRoll.keepSelected</span>
    </mat-slide-toggle>
  </mat-card-actions>
</mat-card>